Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

When I select "Build -> Ubuntu Touch -> Create Application Package" in the Ubuntu SDK, the build fails with the error "FAIL! : qmltestrunner::tst_hellocomponent::compile() module "QtTest" is not installed". How can I install the QtTest module so that I can build a package?

share|improve this question
    
what about using qmake and make before running it with ./QtTest –  mdoran3844 Aug 22 '13 at 4:14
    
I have no idea what you're asking me to do. –  Ian N Aug 23 '13 at 0:18
    
Have you tried building it outside of the IDE? I assume you're using QtCreator? –  mdoran3844 Aug 23 '13 at 0:26
    
No, I have no idea how I would do that. –  Ian N Aug 23 '13 at 2:47
    
Maybe you need to put QT += testlib into your .pro file –  Benjamin Maurer Mar 20 at 20:56
add comment

1 Answer

You need to install the package qtdeclarative5-test-plugin Install qtdeclarative5-test-plugin

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.